1. API Reference
PixVerse Platform Docs
  • C1 released!
  • V6 released!
  • Learn about PixVerse Platform
    • Introduce to PixVerse Platform
    • Quick Start
    • PixVerse-api-llm.txt
  • Getting started
    • How does the API work?
    • How to get API key?
    • How to check account balance?
    • How to subscribe API plans?
    • How to use Text-to-video
    • How to use Image-to-video
    • How to use Effects?
    • How to use Image template?
    • How to use Transition(First-last frame Feature)
    • How to use Speech(Lip sync)?
    • Lip sync TTS speaker list
    • How to use Extend?
    • How to use Sound effects?
    • How to use Fusion(Reference to video)?
    • How to use Restyle?
    • How to use Multi-transition?
    • How to use Swap?
    • How to use Mimic?
    • How to use Modify?
    • How to get video generation status?
    • How to use Webhook
  • API Reference
    • API Parameter Description
    • Video Generation
      • Text-to-Video generation
      • Image-to-Video generation
      • Template video generation
      • Transition(First-last frame) generation
      • Speech(Lipsync) generation
      • Get Speech(Lipsync) tts list
      • Fusion(reference to video) generation
      • Multi-transition video generation
      • Restyle video generation
      • Restyle effect list
      • Swap mask generation
      • Swap video generation
      • Sound effect generation
      • Extend generation
      • Get Video Generation Status
      • Mimic generation
      • Modify generation
    • Image generation
      • Image template generation
      • Get Image generation
    • Upload Image
      POST
    • Upload Video&audio
      POST
    • Get user credit balance
      GET
  • Trouble Shooting
    • Common errors and Solutions
    • Error codes
    • FAQ
  • Resources
    • Model & Pricing
    • Rate limit
    • Support
    • Change Logs
    • Term of Service
    • Privacy policy
  • PixVerse Tools
    • PixVerse MCP
  1. API Reference

Upload Video&audio

POST
/openapi/v2/media/upload
1.
Supported mime-type
"video/mp4": "mp4", "video/mov": "mov", "video/webm": "webm", "video/quicktime": "mov"
"audio/mpeg": "mp3", "audio/wav": "wav", "audio/vnd.wave": "wav", "audio/x-wav": "wav", "audio/x-m4a": "m4a", "audio/aac": "aac", "audio/x-aac": "aac", "audio/wave": "wav", "audio/mp4": "mp3"
2.
Video File Limits
File size: Up to 50MB
Length: Up to 30 seconds
Resolution: Up to 1920px width or height
3.
Audio File Limits
File size: Up to 50MB
Length: Up to 30 seconds

Request

Header Params

Body Params multipart/form-data

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
curl --location --request POST 'https://app-api.pixverse.ai/openapi/v2/media/upload' \
--header 'Ai-Trace-Id: {{$string.uuid}}' \
--header 'API-KEY: your-api-key' \
--form 'file=@""' \
--form 'file_url="https://media.pixverse.ai/openapi%2F90f96bd5-5b77-461c-9b8e-c0e40526c9ca.mp4"'
Response Response Example
{
    "ErrCode": 0,
    "ErrMsg": "success",
    "Resp": {
        "media_id": 0,
        "media_type": "audio",
        "url": "https://media.pixverse.ai/aaa.mp3"
    }
}
Previous
Upload Image
Next
Get user credit balance